Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009403Dwarf FortressDwarf Mode -- Itemspublic2015-12-21 12:412016-01-13 15:33
Reportermartinuzz 
Assigned ToToady One 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformi7OSwindowsOS Version7
Product Version0.42.03 
Target VersionFixed in Version0.42.05 
Summary0009403: Tavern visitors served drinks equip mugs and don't consume contents
DescriptionI thought this had been reported already but apparently not. Filter on mug or goblet showed none.

Every single dwarf will has a mug or goblet in their hand.
This is most notable with the military, since they frequently use their goblets as weapons, but it goes for civilian dwarves as well.

Just now, I even got a message saying "militia commander has grown attached to a chalk mug". So I can be sure he will really never drop that mug again lol, not even when this is fixed next version haha.

Perhaps of note: I have 2 taverns in my fort. I don't know if all dwarves were carrying mugs when I still had only one tavern.

Original Summary:
dwarves always keep a mug / goblet in their hands
Steps To Reproducemake fort, make mugs, make tavern(s), let things roll, watch your dwarves' inventories and your combat logs.
TagsNo tags attached.
Attached Files

- Relationships
related to 0009316new Upon being given a goblet and another item, npcs "drink" the other item 
related to 0009396acknowledgedDwarfu Brawling causes spilled drinks (spatter) 
related to 0009440assignedToady One Wounded dwarves die of dehydration if they grab a goblet 

-  Notes
(0034113)
martinuzz (reporter)
2015-12-21 19:41

Note of interest: All the mugs carried by the dwarves are filled with booze.

What's up with that? do they not drink at all from the mugs, or does a mug hold more than one drink?


Related: Tavern floors only get covered in alcohol when dwarves or other guests brawl inside while holding mugs filled with liquid. They never get covered in alcohol when everyone's drinking happily and no one is brawling.
Not sure if they actually use the mugs as a weapon in brawls, or that the drinks are spilled when they throw punches at each other.
(0034116)
Detros (manager)
2015-12-22 00:48

I have seen lots of my dwarves holding mugs out of tavern, too.

May be in fact connected to 0009316, "Upon being given a goblet and another item, npcs "drink" the other item" from adventure mode.
(0034118)
martinuzz (reporter)
2015-12-22 06:23

hmm, that could indeed explain there still being booze in the cups they are holding.
(0034126)
martinuzz (reporter)
2015-12-22 12:12

More info:

There is nothing wrong with the 'drink' job.
A dwarf with a drink job will grab the nearest mug that's not stored in a tavern chest, walk to a barrel of booze, use the mug to drink, and return the empty mug to the nearest mug stockpile.

However, the barkeeper's served drinks do not get consumed. When a tavern keeper delivers a mug of booze to a tavern guest, the guest does not drink it, but instead just wears the mug in his inventory.

So every dwarf that has ever been served a drink in the tavern has a mug he won't drop. Some dwarves even wear two mugs.

Note also, that a mug that is being used for a drink job is listed in the inventory as (hauled), while mugs provided by a tavern keeper are worn on the (left hand) or (right hand).
(0034133)
Dwarfu (manager)
2015-12-22 15:44

Reminder sent to: martinuzz

Thanks for the more detailed info! Can you upload that save to http://dffd.bay12games.com/ [^] and post a link here?
(0034138)
martinuzz (reporter)
2015-12-22 17:10

There you go. Do read the description I put with it on dffd, which notes about two unrelated issues the save might be useful for.

http://dffd.bay12games.com/file.php?id=11541 [^]
(0034141)
Dwarfu (manager)
2015-12-22 17:48

It would be better to link the save in the respective reports.
(0034278)
martinuzz (reporter)
2016-01-02 17:38

It looks like this bug is also what's been causing the mysterious tavern deaths. I've had none, in any fort ever since I stopped serving drinks in taverns
(0034284)
Detros (manager)
2016-01-03 01:44

"Mysterious tavern deaths" may be also caused by 0009440, "Wounded dwarves die of dehydration if they grab a goblet" or 0009286, "Fistfights don't count as crimes". Who did die? Where?

- Issue History
Date Modified Username Field Change
2015-12-21 12:41 martinuzz New Issue
2015-12-21 19:41 martinuzz Note Added: 0034113
2015-12-22 00:48 Detros Note Added: 0034116
2015-12-22 06:23 martinuzz Note Added: 0034118
2015-12-22 12:12 martinuzz Note Added: 0034126
2015-12-22 15:44 Dwarfu Note Added: 0034133
2015-12-22 15:44 Dwarfu Assigned To => Dwarfu
2015-12-22 15:44 Dwarfu Status new => needs feedback
2015-12-22 15:44 Dwarfu Relationship added related to 0009316
2015-12-22 15:46 Dwarfu Summary dwarves always keep a mug / goblet in their hands => Tavern visitors served drinks equip mugs and don't consume contents
2015-12-22 15:46 Dwarfu Description Updated View Revisions
2015-12-22 16:23 Dwarfu Relationship added related to 0009396
2015-12-22 17:10 martinuzz Note Added: 0034138
2015-12-22 17:10 martinuzz Status needs feedback => assigned
2015-12-22 17:48 Dwarfu Note Added: 0034141
2015-12-22 17:48 Dwarfu Status assigned => confirmed
2015-12-24 22:44 eatatree Issue Monitored: eatatree
2016-01-02 16:22 Dwarfu Relationship added parent of 0009440
2016-01-02 17:38 martinuzz Note Added: 0034278
2016-01-03 01:44 Detros Note Added: 0034284
2016-01-13 15:13 Toady One Relationship replaced related to 0009440
2016-01-13 15:33 Toady One Status confirmed => resolved
2016-01-13 15:33 Toady One Fixed in Version => Next Version
2016-01-13 15:33 Toady One Resolution open => fixed
2016-01-13 15:33 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker